CVE-2003-1562
CVSS7.6
发布时间 :2003-12-31 00:00:00
修订时间 :2008-09-05 00:00:00
NMO    

[原文]sshd in OpenSSH 3.6.1p2 and earlier, when PermitRootLogin is disabled and using PAM keyboard-interactive authentication, does not insert a delay after a root login attempt with the correct password, which makes it easier for remote attackers to use timing differences to determine if the password step of a multi-step authentication is successful, a different vulnerability than CVE-2003-0190.


[CNNVD]CNNVD数据暂缺。


[机译]在OpenSSH 3.6.1p2和更早的时候,PermitRootLogin被禁用,使用PAM键盘交互验证运行sshd,没有插入的延迟后根的登录尝试用正确的密码,这使得它更容易为远程攻击者可以利用时差,以确定

- CVSS (基础分值)

CVSS分值: 7.6 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-362 [使用共享资源的并发执行不恰当同步问题(竞争条件)]

- CPE (受影响的平台与产品)

cpe:/a:openbsd:openssh:2.9OpenBSD OpenSSH 2.9
cpe:/a:openbsd:openssh:3.3OpenBSD OpenSSH 3.3
cpe:/a:openbsd:openssh:3.5OpenBSD OpenSSH 3.5
cpe:/a:openbsd:openssh:3.2.2OpenBSD OpenSSH 3.2.2
cpe:/a:openbsd:openssh:3.1p1OpenBSD OpenSSH 3.1 p1
cpe:/a:openbsd:openssh:3.0.2OpenBSD OpenSSH 3.0.2
cpe:/a:openbsd:openssh:3.6.1OpenBSD OpenSSH 3.6.1
cpe:/a:openbsd:openssh:3.0.1OpenBSD OpenSSH 3.0.1
cpe:/a:openbsd:openssh:3.0OpenBSD OpenSSH 3.0
cpe:/a:openbsd:openssh:2.9.9p2OpenBSD OpenSSH 2.9.9 p2
cpe:/a:openbsd:openssh:2OpenBSD OpenSSH 2
cpe:/a:openbsd:openssh:1.2.27OpenBSD OpenSSH 1.2.27
cpe:/a:openbsd:openssh:3.1OpenBSD OpenSSH 3.1
cpe:/a:openbsd:openssh:3.4OpenBSD OpenSSH 3.4
cpe:/a:openbsd:openssh:3.2.2p1OpenBSD OpenSSH 3.2.2 p1
cpe:/a:openbsd:openssh:2.3OpenBSD OpenSSH 2.3
cpe:/a:openbsd:openssh:3.6OpenBSD OpenSSH 3.6
cpe:/a:openbsd:openssh:2.2OpenBSD OpenSSH 2.2
cpe:/a:openbsd:openssh:1.2.2OpenBSD OpenSSH 1.2.2
cpe:/a:openbsd:openssh:3.4p1OpenBSD OpenSSH 3.4 p1
cpe:/a:openbsd:openssh:1.5OpenBSD OpenSSH 1.5
cpe:/a:openbsd:openssh:2.9p2OpenBSD OpenSSH 2.9 p2
cpe:/a:openbsd:openssh:3.0.1p1OpenBSD OpenSSH 3.0.1 p1
cpe:/a:openbsd:openssh:2.1.1OpenBSD OpenSSH 2.1.1
cpe:/a:openbsd:openssh:2.1OpenBSD OpenSSH 2.1
cpe:/a:openbsd:openssh:3.0p1OpenBSD OpenSSH 3.0 p1
cpe:/a:openbsd:openssh:2.5.1OpenBSD OpenSSH 2.5.1
cpe:/a:openbsd:openssh:3.5p1OpenBSD OpenSSH 3.5 p1
cpe:/a:openbsd:openssh:3.6.1p1OpenBSD OpenSSH 3.6.1 p1
cpe:/a:openbsd:openssh:1.5.8OpenBSD OpenSSH 1.5.8
cpe:/a:openbsd:openssh:2.3.1OpenBSD OpenSSH 2.3.1
cpe:/a:openbsd:openssh:2.9.9OpenBSD OpenSSH 2.9.9
cpe:/a:openbsd:openssh:2.9p1OpenBSD OpenSSH 2.9 p1
cpe:/a:openbsd:openssh:1.3OpenBSD OpenSSH 1.3
cpe:/a:openbsd:openssh:3.6.1p2OpenBSD OpenSSH 3.6.1 p2
cpe:/a:openbsd:openssh:1.5.7OpenBSD OpenSSH 1.5.7
cpe:/a:openbsd:openssh:3.2.3p1OpenBSD OpenSSH 3.2.3 p1
cpe:/a:openbsd:openssh:1.2.1OpenBSD OpenSSH 1.2.1
cpe:/a:openbsd:openssh:1.2.3OpenBSD OpenSSH 1.2.3
cpe:/a:openbsd:openssh:3.2OpenBSD OpenSSH 3.2
cpe:/a:openbsd:openssh:3.3p1OpenBSD OpenSSH 3.3 p1
cpe:/a:openbsd:openssh:3.0.2p1OpenBSD OpenSSH 3.0.2p1
cpe:/a:openbsd:openssh:2.5OpenBSD OpenSSH 2.5
cpe:/a:openbsd:openssh:1.2OpenBSD OpenSSH 1.2
cpe:/a:openbsd:openssh:2.5.2OpenBSD OpenSSH 2.5.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1562
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1562
(官方数据源) NVD

- 其它链接及资源

http://www.securityfocus.com/bid/7482
(UNKNOWN)  BID  7482
http://www.securityfocus.com/archive/1/320440
(UNKNOWN)  BUGTRAQ  20030505 Re: OpenSSH/PAM timing attack allows remote users identification
http://www.securityfocus.com/archive/1/320302
(UNKNOWN)  BUGTRAQ  20030501 Re: OpenSSH/PAM timing attack allows remote users identification
http://www.securityfocus.com/archive/1/320153
(UNKNOWN)  BUGTRAQ  20030501 Re: OpenSSH/PAM timing attack allows remote users identification
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=248747
(UNKNOWN)  CONFIRM  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=248747

- 漏洞信息

2109
OpenSSH sshd Root Login Timing Side-Channel Weakness
Local Access Required, Remote / Network Access Authentication Management, Information Disclosure
Loss of Confidentiality
Exploit Public Vendor Verified

- 漏洞描述

OpenSSH contains a flaw that may allow a malicious user to guess the root password more quickly, and confirm when the correct password has been guessed even when PermitRootLogin is set to No. The issue is triggered when an attacker simply enters various guesses at root's password and analyzes the time it takes for the SSH server to respond. This issue has been reported to exist in OpenSSH-portable on Linux systems, though it may affect other platforms and versions. It is possible that the flaw may allow confirmation of a guessed root password, resulting in a loss of confidentiality.

- 时间线

2003-04-28 2003-04-12
2003-04-28 Unknow

- 解决方案

Upgrade to version 3.6.1p2 or higher, as it has been reported to fix this vulnerability. It is also possible to correct the flaw by applying the vendor-supplied patch.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站